# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
#  Fonctions de calcul et validation des variables Creole
#
###########################################################################
from .config import func_dir as _func_dir, configeoldir as _configeoldir
import imp as _imp
from .i18n import _
import os as _os, glob as _glob


def load_funcs(force_reload=False):
    dict_locals = globals()

    # Load Zephir 2 merged esofuncs
    try:
       EOSFUNC_PATH = _configeoldir + 'config.creolefuncs'
       eosfunc = _imp.load_source('eosfunc', EOSFUNC_PATH)
       for attr in dir(eosfunc):
           if not attr.startswith('__'):
              if force_reload or attr not in dict_locals:
                  dict_locals[attr] = getattr(eosfunc, attr)
    except Exception as err:
       print(_(u"Error loading custom functions in {0}.").format(EOSFUNC_PATH))
       try:
           print(str(err).decode('utf8'))
       except UnicodeEncodeError:
           print(unicode(err))


load_funcs()
